For the complete documentation index, see llms.txt. This page is also available as Markdown.

Total Value Locked (TVL)

This data is included in the following Kaiko packages:

  • Market Explorer [Total Value Locked]

  • Market Explorer [Full Coverage]

What is this endpoint for?

This endpoint receives information on the Total Value Locked (TVL) of all DeFi protocols covered by Kaiko.

Endpoint

https://us.market-api.kaiko.io/v2/data/tvl/

Parameters

Parameter
Required
Description
Example

protocol

No

The desired protocol code. If not specified, the endpoint will return the list of all protocol codes.

aave

start_date

No

Starting date in YYYYMMDD (inclusive).

20230125

end_date

No

Ending date in YYYYMMDD (exclusive).

20230126

start_time

No

Starting time in ISO 8601 (inclusive) Hours will be ignored.

2023-01-25T00:00:00.00

end_time

No

Ending time in ISO 8601 (exclusive) Hours will be ignored.

2023-01-26T00:00:00.00

page_size

No

See Pagination Minimum: 1 Maximum: 1000

Default: 1000

100

sort

No

If asc, sort time-series in ascending. If desc, sort time-series in descending. Default: desc

asc

Fields

Field
Description
Example

timestamp

Timestamp at which the interval begins.

1763856000

protocol_name

Protocol name.

Aave

protocol_code

Protocol code.

aave

tvl

Total value locked (TVL) in USD.

5.04046e+10

Request examples

Response example

Last updated

Was this helpful?